Open SCAP Library: cvrf_model Struct Reference

Open SCAP Library

Public Member Functions | Data Fields
cvrf_model Struct Reference

## Public Member Functions
struct cvrf_model * | cvrf_model_new (void)
| New CVRF model. More...
void | cvrf_model_free (struct cvrf_model *cvrf)
| Deallocates memory for the CVRF Model structure and all its child elements. More...
struct cvrf_model * | cvrf_model_clone (const struct cvrf_model *model)
int | cvrf_model_filter_by_cpe (struct cvrf_model *model, const char *cpe)
| Removes all Branches, Relationships, and ProductIDs within Vulnerabilities that do no pertain to the provided CPE. More...
const char * | cvrf_model_get_doc_title (const struct cvrf_model *model)
const char * | cvrf_model_get_doc_type (const struct cvrf_model *model)
bool | cvrf_model_set_doc_title (struct cvrf_model *model, const char *doc_title)
bool | cvrf_model_set_doc_type (struct cvrf_model *model, const char *doc_type)
struct cvrf_product_tree * | cvrf_model_get_product_tree (struct cvrf_model *model)
struct cvrf_document * | cvrf_model_get_document (const struct cvrf_model *model)
const char * | cvrf_model_get_identification (struct cvrf_model *model)
bool | cvrf_model_set_document (struct cvrf_model *model, struct cvrf_document *doc)
struct cvrf_vulnerability_iterator * | cvrf_model_get_vulnerabilities (const struct cvrf_model *model)
bool | cvrf_model_add_vulnerability (struct cvrf_model *model, struct cvrf_vulnerability *vuln)
const char * | cvrf_model_supported (void)
| Get supported version of CVRF XML. More...
struct cvrf_model * | cvrf_model_import (struct oscap_source *source)
| Parses the specified XML file and creates a list of CVRF data structures. More...
struct oscap_source * | cvrf_model_get_export_source (struct cvrf_model *model)
| Export CVRF Model to the export source as an XML doc. More...

## Data Fields
char * | doc_title
char * | doc_type
struct cvrf_document * | document
struct cvrf_product_tree * | tree
struct oscap_list * | vulnerabilities

The documentation for this struct was generated from the following files:

- cvrf_priv.c
- cvrf.h